## nam 1.15~RC3

=== debian/changelog ===
nam (1.15~RC3-1) unstable; urgency=low

  * Initial release (Closes: #576259)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 02 Apr 2010 14:34:38 +0800
