=== debian/control ===
Source: nam
Section: net
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxmu-headers, libotcl1-dev, tclcl, tclcl-dev
Standards-Version: 3.8.4
Vcs-git: git://github.com/wzssyqa/nam-debian.git
Vcs-Browser: http://github.com/wzssyqa/nam-debian.git
Homepage: http://www.isi.edu/nsnam/nam/

Package: nam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the Network Animator
 NAM is a Tcl/TK based animation tool for viewing network simulation 
 traces and real world packet traces. It supports topology layout, 
 packet level animation, and various data inspection tools. NAM began 
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects. 

Package: nam-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: examples of NAM
 NAM is a Tcl/TK based animation tool for viewing network simulation 
 traces and real world packet traces. It supports topology layout, 
 packet level animation, and various data inspection tools. NAM began 
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.
 .
 This package contains examples.
