## nam 1.15~RC4

=== debian/changelog ===
nam (1.15~RC4-5ubuntu0.1) oneiric-proposed; urgency=low

  * Rebuild against Tcl 8.5 (LP: #928193)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 07 Feb 2012 14:54:03 +0200

nam (1.15~RC4-5) unstable; urgency=low

  *rebuild for work with a patch of tclsh
       remove "-exact" require for tcl and tk.
  * debian/control:
  	fix VCS to true web.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 30 Jun 2011 19:08:33 +0800

nam (1.15~RC4-4) unstable; urgency=low

  * Patch to restrict version depend on tk (Closes: #620093)
     Whether it work should be test: init_tcltk_with_stub.diff.
  * fix a bug that abort caused by call random: random-abort.diff.
  * debian/control:
      - Enable Maintainer Upload and set the team to 
        Debian Network Simulators Team 
        	<pkg-netsim-devel@lists.alioth.debian.org>
      - migrate git to alioth 
      		(http://anonscm.debian.org/git/pkg-netsim/nam.git).
  * debian/rules:
       - add -ltclstub8.x and -ltkstub8.x to link against stub.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 03 Jun 2011 01:50:10 +0800

nam (1.15~RC4-3) unstable; urgency=low

  * patch it for move tclcl's header files to /usr/include/tclcl
  * Build failed ( -lz ), patch it.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 22 Mar 2011 23:55:58 +0800

nam (1.15~RC4-2) unstable; urgency=low

  * depends on tk-dev and tcl-dev instead of 8.4 one
  * nam suggests nam-examples (Closes: #586169)

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 28 Feb 2011 01:11:58 +0800

nam (1.15~RC4-1) unstable; urgency=low

  * New upstream version.
  * port to Policy 3.9.1.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 17 Sep 2010 14:54:54 +0800

nam (1.15~RC3-2) unstable; urgency=low

  * add suggests of nam-examples on nam (Closes: #586169)
  * port to Policy 3.9.0

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 30 Jun 2010 14:34:38 +0800
