=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxmu-headers, libotcl1-dev, tclcl, tclcl-dev
-Standards-Version: 3.8.4
-Vcs-git: git://github.com/wzssyqa/nam-debian.git
-Vcs-Browser: http://github.com/wzssyqa/nam-debian.git
+DM-Upload-Allowed: yes
+Uploaders: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev,
+		tcl-dev, tk-dev, libxt-dev, libxmu-headers, zlib1g-dev,
+		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3)
+Standards-Version: 3.9.2
+Vcs-git: git://git.debian.org/git/pkg-netsim/nam.git
+Vcs-Browser: http://git.debian.org/?p=pkg-netsim/tclcl.git
 Homepage: http://www.isi.edu/nsnam/nam/
 
 Package: nam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: the Network Animator
+Description: Network Animator for network simulation
  NAM is a Tcl/TK based animation tool for viewing network simulation 
  traces and real world packet traces. It supports topology layout, 
  packet level animation, and various data inspection tools. NAM began 
@@ -23,7 +27,8 @@
 Package: nam-examples
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: examples of NAM
+Suggests: nam
+Description: examples of nam
  NAM is a Tcl/TK based animation tool for viewing network simulation 
  traces and real world packet traces. It supports topology layout, 
  packet level animation, and various data inspection tools. NAM began
