=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,17 @@
 %:
 	dh  $@
 
+override_dh_auto_clean:
+	./configure   #Makefile from upstream, need to delete
+	              # workaround it
+	dh_auto_clean
+
 override_dh_auto_configure:
 	./configure
+	#link against tclstub and tkstub to make it work with multi version of tcl/tk
+	#bug:#620093
+	sed -i "s/-ltk\([0-9].[0-9]\)/-ltk\1 -ltkstub\1/" Makefile
+	sed -i "s/-ltcl\([0-9].[0-9]\)/-ltcl\1 -ltclstub\1/" Makefile
 
 override_dh_auto_test:
 #	./validate
