=== debian/control ===
Source: nam
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libotcl1-dev (>= 1.14+dfsg),
               libtclcl1-dev (>= 1.20-4),
               libxmu-headers,
               libxt-dev,
               quilt (>= 0.46-7~),
               tcl-dev (>= 8.6),
               tclcl,
               tk-dev (>= 8.6),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: http://www.isi.edu/nsnam/nam/
Vcs-Browser: https://salsa.debian.org/debian/nam
Vcs-Git: https://salsa.debian.org/debian/nam.git

Package: nam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: no
Description: Network Animator for network simulation
 NAM is a Tcl/TK based animation tool for viewing network simulation
 traces and real world packet traces. It supports topology layout,
 packet level animation, and various data inspection tools. NAM began
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.

Package: nam-examples
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: nam,
Multi-Arch: foreign
Description: examples of nam
 NAM is a Tcl/TK based animation tool for viewing network simulation
 traces and real world packet traces. It supports topology layout,
 packet level animation, and various data inspection tools. NAM began
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.
 .
 This package contains examples.
