=== debian/watch ===
version=3
opts="dversionmangle=s/\.(\d\d)\+dfsg/\.$1/" \
http://sf.net/nsnam/nam-src-(.+)\.tar\.gz
